com.pixelmed.network

## Class ProbeCapability.StringPermutationGenerator

- java.lang.Object
- - com.pixelmed.network.ProbeCapability.StringPermutationGenerator

Enclosing class:
  ProbeCapability

    protected class ProbeCapability.StringPermutationGenerator
    extends java.lang.Object

### Field Summary

Fields
`protected boolean` `done`
`protected char[]` `firstCharacterPossibilities`
`protected int[]` `indicesIntoCharacterPossibilities`
`protected int` `maximumFirstCharacterIndex`
`protected int` `maximumLength`
`protected int` `maximumSubsequentCharacterIndex`
`protected char[]` `subsequentCharacterPossibilities`

### Constructor Summary

Constructors
Constructor and Description
`ProbeCapability.StringPermutationGenerator(char[] firstCharacterPossibilities, char[] subsequentCharacterPossibilities, int maximumLength)`

### Method Summary

Methods
`java.lang.String` `next()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### firstCharacterPossibilities

    protected final char[] firstCharacterPossibilities

#### subsequentCharacterPossibilities

    protected final char[] subsequentCharacterPossibilities

#### maximumLength

    protected final int maximumLength

#### indicesIntoCharacterPossibilities

    protected final int[] indicesIntoCharacterPossibilities

#### maximumFirstCharacterIndex

    protected final int maximumFirstCharacterIndex

#### maximumSubsequentCharacterIndex

    protected final int maximumSubsequentCharacterIndex

#### done

    protected boolean done

### Constructor Detail

#### ProbeCapability.StringPermutationGenerator

    public ProbeCapability.StringPermutationGenerator(char[] firstCharacterPossibilities,
                                              char[] subsequentCharacterPossibilities,
                                              int maximumLength)

### Method Detail

#### next

    public java.lang.String next()